%define upstream_name    MouseX-NativeTraits
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Provides methods for ArrayRef
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mouse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.130.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Mouse) >= 0.820.0
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
While the Mouse manpage attributes provide a way to name your accessors,
readers, writers, clearers and predicates, MouseX::NativeTraits provides
commonly used attribute helper methods for more specific types of data.

As seen in the the /SYNOPSIS manpage, you specify the data structure via
the 'traits' parameter. These traits will be loaded automatically, so you
need not load MouseX::NativeTraits explicitly.

This extention is compatible with Moose native traits, although it is not a
part of Mouse core.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.90.0-3.mga4
+ Revision: 513374
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 370379
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.90.0-1.mga3
+ Revision: 342422
- update to 1.09

* Tue Nov 06 2012 jquelin <jquelin> 1.80.0-1.mga3
+ Revision: 315193
- update to 1.08

* Thu Dec 08 2011 kharec <kharec> 1.70.0-1.mga2
+ Revision: 179225
- update to 1.07

* Fri Dec 02 2011 kharec <kharec> 1.50.0-1.mga2
+ Revision: 175183
- update to 1.05

* Sun Apr 03 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 80116
- imported package perl-MouseX-NativeTraits


* Sun Apr 03 2011 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
